Bug 994437 - Exclusion using fixfiles_exclude_dirs config file doesn't work when particular dir passed to fixfiles
Exclusion using fixfiles_exclude_dirs config file doesn't work when particula...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 05:55 EDT by Michal Trunecka
Modified: 2014-09-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: policycoreutils-2.1.14-85
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:08:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-08-07 05:55:35 EDT
Description of problem:
The directories listed in /etc/selinux/fixfiles_exclude_dirs are excluded only when fixfiles is called without defining particualr directory to relabel.

e.g. If /var/log is listed as excluded, then it is excluded only when called

# fixfiles ceck/restore/relabel/verify

but not when called

# fixfiles ceck/restore/relabel/verify /var

Which I would expect. The exclusion even works with -C option.



Version-Release number of selected component (if applicable):
policycoreutils-2.1.14-70.el7.x86_64


Expected results:
Config file exclusion works in both cases or documentation is altered to make this clear.
Comment 2 Daniel Walsh 2013-10-04 18:26:24 EDT
Fixed in policycoreutils-2.1.14-85
Comment 4 Ludek Smid 2014-06-13 06:08:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.